This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1304028 - [RFE] Configurable log destination for HAProxy logs during deployment
[RFE] Configurable log destination for HAProxy logs during deployment
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan O'Hara
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 12:22 EST by Freddy Wissing
Modified: 2017-09-24 22:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Freddy Wissing 2016-02-02 12:22:24 EST
There is an option that can be defined within Spinal Stack that allows for us to specify the logging destination for HAProxy.  Since they have a split control plane, the HAPRoxy logs take on a whole new level of importance in troubleshooting stack issues that occur and to help cut down on the clutter of /var/log/messages that was being created we moved the logging out to its own directory.  I cannot recall at this time if there was a puppet class that was predefined that I used in Spinal Stack to be able to do this, but I seem to recall possibly having to create one.  If one doesn't exist, then it would be a nice one to have.
Comment 2 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Red Hat Bugzilla Rules Engine 2017-06-03 22:00:42 EDT
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.
Comment 6 Hugh Brock 2017-07-03 07:53:21 EDT
This RFE did not make OSP11. I've reassigned it to Lars Kellogg-Stedman, the UA for the OpsTools DFG.

Note You need to log in before you can comment on or make changes to this bug.